/*
 * This file is generated by jOOQ.
 */
package jooq.model;


import java.util.Arrays;
import java.util.List;

import jooq.model.tables.Collision;
import jooq.model.tables.Flight;

import org.jooq.Catalog;
import org.jooq.Table;
import org.jooq.impl.SchemaImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Public extends SchemaImpl {

    private static final long serialVersionUID = 1L;

    /**
     * The reference instance of <code>public</code>
     */
    public static final Public PUBLIC = new Public();

    /**
     * The table <code>public.collision</code>.
     */
    public final Collision COLLISION = Collision.COLLISION;

    /**
     * The table <code>public.flight</code>.
     */
    public final Flight FLIGHT = Flight.FLIGHT;

    /**
     * No further instances allowed
     */
    private Public() {
        super("public", null);
    }


    @Override
    public Catalog getCatalog() {
        return DefaultCatalog.DEFAULT_CATALOG;
    }

    @Override
    public final List<Table<?>> getTables() {
        return Arrays.asList(
            Collision.COLLISION,
            Flight.FLIGHT
        );
    }
}
